commit e6fec4a8988fbd6a5d92ee57b405f93ab4cbca89
Author: freddy77 <freddy77>
Date:   Fri May 2 10:04:15 2008 +0000

    fixed printf format problem

diff --git a/ChangeLog b/ChangeLog
index 12da7d1..0baacac 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Fri May 02 12:03:47 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/tds/log.c: fixed printf format problem
+
 Wed Apr 30 10:07:37 EDT 2008	JK Lowden <jklowden@freetds.org>
 	* src/dblib/dblib.c added missing break to nested switch
 	- in _dbresults
@@ -252,4 +255,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2511 2008/04/30 14:09:52 jklowden Exp $
+$Id: ChangeLog,v 1.2512 2008/05/02 10:04:15 freddy77 Exp $
diff --git a/src/tds/log.c b/src/tds/log.c
index 4c9ee5d..377d63d 100644
--- a/src/tds/log.c
+++ b/src/tds/log.c
@@ -66,7 +66,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: log.c,v 1.5 2008/04/23 21:36:01 jklowden Exp $");
+TDS_RCSID(var, "$Id: log.c,v 1.6 2008/05/02 10:04:15 freddy77 Exp $");
 
 /* for now all messages go to the log */
 int tds_debug_flags = TDS_DBGFLAG_ALLLVL | TDS_DBGFLAG_SOURCE;
@@ -484,7 +484,7 @@ tdsdump_col(const TDSCOLUMN *col)
 		tdsdump_log(TDS_DBG_FUNC, "type %s has value %f\n", typename, (double)*(TDS_REAL*)col->column_data); 
 		break;
 	case SYBFLT8: 
-		tdsdump_log(TDS_DBG_FUNC, "type %s has value %d\n", typename, (double)*(TDS_FLOAT*)col->column_data); 
+		tdsdump_log(TDS_DBG_FUNC, "type %s has value %f\n", typename, (double)*(TDS_FLOAT*)col->column_data); 
 		break;
 	default:
 		tdsdump_log(TDS_DBG_FUNC, "cannot log data for type %s\n", typename);

